(function () {
	"use strict";
	let isLoaded = false;
	const resolveRocketLoader = setInterval(() => {
		if (!isLoaded) {
			wilokeFeaturedProducts();
		}
		
	}, 3000);
	
	function wilokeFeaturedProducts() {
		isLoaded = true;
		var swiper = new Swiper(".swiper", {
			effect: "coverflow",
			grabCursor: true,
			loop: true,
			spaceBetween: 30,
			centeredSlides: false,
			coverflowEffect: {
				rotate: 0,
				stretch: 0,
				depth: 0,
				modifier: 1,
				slideShadows: false
			},
			pagination: {
				el: ".swiper-pagination",
				clickable: true
			},
			keyboard: {
				enabled: true
			},
			mousewheel: {
				thresholdDelta: 70
			},
			breakpoints: {
				460: {
					slidesPerView: 3
				},
				768: {
					slidesPerView: 3
				},
				1024: {
					slidesPerView: 3
				},
				1600: {
					slidesPerView: 3.6
				}
			}
		});
	}
	
	window.addEventListener("load", (event) => {
		wilokeFeaturedProducts();
	});
})();
